/* allocated by WDEFGlobals.c and kept by Gestalt() */
typedef struct
{	PicHandle	pic, frame;
	struct
	{	Boolean		clonePic:1;		/* T => clone pic and dispose on close
									   F => copy handle, dispose as per sharePic */
		Boolean		sharePic:1;		/* T => don't dispose on close
									   F => DetachResource() on open,
									        dispose on close */
		Boolean		cloneFrame:1;
		Boolean		shareFrame:1;
		Boolean		maxMem:1;		/* do MaxMem() calls */
		Boolean		spare:3;
	}			flags;
	char		spare1;
	int			spare2;
	/* following fields used by Region XCMD */
	WindowPtr	wlist;
	WindowPtr	editPalette;
	int			editMode;
	int			spare3;
}	WDEFGlobals, *WDEFGlobalsPtr, **WDEFGlobalsHand;

OSErr GetWDEFGlobals(Boolean, WDEFGlobals **);

/* allocated by WDEF, first three fields private to WDEF, rest set to zero */
typedef struct
{	PicHandle	pic, frame;
	struct
	{	Boolean		disposePic:1;
		Boolean		disposeFrame:1;
		Boolean		unused:6;
		char		unused2;
		int			unused3;
	}			flags;
	PicHandle	content;
	WindowPtr	next;
	int			autoHilite:1;
	int			hilite:1;
	int			wasVis:1;
	int			spare:13;
	int			spare2;
	union
	{	struct	{ Handle mouseWithin, mouseDown, mouseStillDown, mouseUp, idle; }
				sym;
		Handle	lit[5];
	}			script;
	long		idleTime;
}	WDEFPrivate, *WDEFPrivatePtr, **WDEFPrivateHand;

#define mWITH	0
#define mDOWN	1
#define mSTILL	2
#define mUP		3
#define IDLE	4